For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • GETGet logs for one Shipment by Order Id and Shipment Id
      • GETGet one Shipment by Shipment Id
      • GETGet all Shipments for Order
      • GETGet one Shipment's status timeline by Order Id and Shipment Id
      • GETGet Orders
      • POSTCreate Order
      • GETGet one Shipment by Order Id and Shipment Id
      • GETGet Order
      • GETGet one Shipment's status timeline by Shipment Id
      • GETGet logs for one Shipment by Shipment Id
      • POSTCancel one Shipment by Order Id and Shipment Id
      • POSTCancel one Shipment by Shipment Id
      • POSTCancel single Order by Order ID
      • GETGet Order Store Json
      • POSTSave the Store Order Json
      • POSTUpdate Tracking Uploaded Status for Multiple Shipments by Shipment Id
      • POSTCancel multiple Shipments by Shipment Id
      • POSTEstimate Fulfillment Cost For Order
      • GETGet shipping methods
      • GETGet Completely Cancelled Orders
LogoLogo
API ReferenceOrders

Cancel one Shipment by Order Id and Shipment Id

||View as Markdown|
POST
https://sandbox-api.shipbob.com/2025-07/order/:orderId/shipment/:shipmentId:cancel
POST
/2025-07/order/:orderId/shipment/:shipmentId:cancel
$curl -X POST https://sandbox-api.shipbob.com/2025-07/order/string/shipment/1:cancel \
> -H "Authorization: Bearer <token>"
Was this page helpful?
Previous

Get logs for one Shipment by Shipment Id

Next

Cancel one Shipment by Shipment Id

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Path parameters

shipmentIdintegerRequired
The shipment id to get
orderIdstringRequired

Headers

shipbob_channel_idintegerOptional
Channel Id for Operation

Response

Success

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error